Skip to content

DC Cluster Topology.

POST
/api/data/namespaces/system/topology/dc_cluster_group/{dc_cluster_group}
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/system/topology/dc_cluster_group/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "dc_cluster_group": "example", "metric_selector": { "edge": [ "METRIC_TYPE_IN_BYTES" ], "end_time": "example", "node": [ "METRIC_TYPE_IN_BYTES" ], "start_time": "example", "step": "example" } }'

GET topology of a DC Cluster.

Examples of this operation.

dc_cluster_group
required
string

DC Cluster group Name of the DC Cluster group.

Media typeapplication/json
DC Cluster Group Topology Request

Request to GET DC Cluster group topology and the associated metrics.

object
dc_cluster_group
DC Cluster group

Name of the DC Cluster group.

string
<= 1024 characters
metric_selector
object
edge
Edge Metric Types

List of metrics to be returned for the edges.

Array<string>
Allowed values: METRIC_TYPE_IN_BYTES METRIC_TYPE_OUT_BYTES METRIC_TYPE_IN_DROP_PACKETS METRIC_TYPE_OUT_DROP_PACKETS METRIC_TYPE_REACHABILITY_PERCENT METRIC_TYPE_LATENCY_SECONDS METRIC_TYPE_CPU_USAGE_PERCENT METRIC_TYPE_MEMORY_USAGE_PERCENT METRIC_TYPE_DISK_USAGE_PERCENT METRIC_TYPE_DATA_PLANE_CONNECTION_STATUS METRIC_TYPE_CONTROL_PLANE_CONNECTION_STATUS
end_time
End time

End time of metric data. This field is applicable only if “include_metrics” is set to true. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
node
Node Metric Types

List of metrics to be returned for the nodes.

Array<string>
Allowed values: METRIC_TYPE_IN_BYTES METRIC_TYPE_OUT_BYTES METRIC_TYPE_IN_DROP_PACKETS METRIC_TYPE_OUT_DROP_PACKETS METRIC_TYPE_REACHABILITY_PERCENT METRIC_TYPE_LATENCY_SECONDS METRIC_TYPE_CPU_USAGE_PERCENT METRIC_TYPE_MEMORY_USAGE_PERCENT METRIC_TYPE_DISK_USAGE_PERCENT METRIC_TYPE_DATA_PLANE_CONNECTION_STATUS METRIC_TYPE_CONTROL_PLANE_CONNECTION_STATUS
start_time
Start time

Start time of metric data. This field is applicable only if “include_metrics” is set to true. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters
step
Step

Step is the resolution width, which determines the number of the data points [x-axis (time)] to be returned in the response. The timestamps in the response will be t1=start_time, t2=t1+step, … Tn=tn-1+step, where tn <= end_time. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days

Optional: If not specified, then step size is evaluated to <end_time - start_time>

string
<= 1024 characters

A successful response.

Media typeapplication/json
Topology Response

Relationship between the resources associated with a site is represented as a graph, where each resource/entity is represented as a node (example: Site (CE, RE), Network (VPC, Virtual Network), Subnet, etc.,) and their association is represented as edges (example: Site (CE) - Site (CE, RE), Network (VPC) - Subnets, etc.,). All edges are directed. However if 2 nodes have bidirectional connection, (example: Site - Site), there may be 2 edges in the response for the same pair of nodes.

object
edges
Edges

List of edges in the topology graph.

Array<object>
Edge

Canonical representation of Edge in the topology graph.

object
links
Links

An edge may be composed of multiple links. For example, there may be multiple tunnels between a transit gateway and a site and each tunnel is represented as individual links. In some cases, we may want to show only one link between 2 nodes, eventhough there may be multiple connections/tunnels between these nodes.

Array<object>
LinkTypeData

LinkTypeData contains details about the link and the metrics (if requested/available).

object
info
object
dst_id
Destination ID

Endpoint identifier. Dst_id is the destination endpoint for the link is between src_id and dst_id.

string
<= 1024 characters
name
Name

Name of the link. Link name may or may not be present depending on the type of link.

string
>= 6 characters <= 1024 characters
src_id
Source ID

Endpoint identifier. Src_id is the source endpoint for the link is between src_id and dst_id.

string
<= 1024 characters
status
string
default: LINK_STATUS_NOT_APPLICABLE
Allowed values: LINK_STATUS_NOT_APPLICABLE LINK_STATUS_UNKNOWN LINK_STATUS_UP LINK_STATUS_DOWN LINK_STATUS_DEGRADED
type
string
default: LINK_TYPE_TUNNEL
Allowed values: LINK_TYPE_TUNNEL LINK_TYPE_NETWORK LINK_TYPE_SUBNET LINK_TYPE_INSTANCE LINK_TYPE_SITE_MESH_GROUP LINK_TYPE_DC_CLUSTER_GROUP LINK_TYPE_L3 LINK_TYPE_CONTROL_PLANE LINK_TYPE_BGP_CONNECTION
metric
Metric

Metric data for the link.

Array<object>
Metric Data

Metric Data contains the metric type and the metric data.

object
data
Data

Metric Data.

Array<object>
Metric Type Data

Metric Type Data contains key that uniquely identifies individual entity and its corresponding metric values. For example, if an instance contains multiple interfaces, then the key contains the name/value pair that identifies the interface name of the instance.

object
labels
Labels

Labels contains the name/value pair that uniquely identifies an entity whose metric is being reported. If the Labels is empty, then the metric value is for the corresponding node or edge. For example, if an instance contains multiple interfaces, then the labels contains the name/value pairs that identifies the interface name of the instance.

object
values
Value

List of metric values. May contain more than one value if timeseries data is requested.

Array<object>
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
type
string
default: METRIC_TYPE_IN_BYTES
Allowed values: METRIC_TYPE_IN_BYTES METRIC_TYPE_OUT_BYTES METRIC_TYPE_IN_DROP_PACKETS METRIC_TYPE_OUT_DROP_PACKETS METRIC_TYPE_REACHABILITY_PERCENT METRIC_TYPE_LATENCY_SECONDS METRIC_TYPE_CPU_USAGE_PERCENT METRIC_TYPE_MEMORY_USAGE_PERCENT METRIC_TYPE_DISK_USAGE_PERCENT METRIC_TYPE_DATA_PLANE_CONNECTION_STATUS METRIC_TYPE_CONTROL_PLANE_CONNECTION_STATUS
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
node_id1
Node Id1

Node identifier.

string
<= 1024 characters
node_id2
Node Id2

Node identifier.

string
<= 1024 characters
status
string
default: LINK_STATUS_NOT_APPLICABLE
Allowed values: LINK_STATUS_NOT_APPLICABLE LINK_STATUS_UNKNOWN LINK_STATUS_UP LINK_STATUS_DOWN LINK_STATUS_DEGRADED
nodes
Nodes

List of nodes in the topology graph.

Array<object>
Node

Canonical representation of Node in the topology graph.

object
dc_cluster_group
object
info
object
type
object
control_and_data_plane_mesh
object
data_plane_mesh
object
summary
object
sites
Sites

This field indicates the number of sites that are part of this DC Cluster group.

integer format: int64
id
Id

Identifier for the node.

string
>= 1 <= 4094 <= 1024 characters
instance
object
info
object
architecture
Architecture

Architecture.

string
<= 1024 characters
availability_zone
Availability Zone

Availability Zone.

string
<= 1024 characters
cpu
CPU

CPU Count

integer format: int64
f5xc_node_name
F5XC Node name

F5XC node name.

string
<= 1024 characters
instance_type
Instance type

Instance type.

string
<= 1024 characters
interfaces
Interfaces

A list of network interfaces.

Array<object>
Network Interface

A canonical form of the network interface.

object
f5xc_status
object
active_state
string
default: STATE_UNKNOWN
Allowed values: STATE_UNKNOWN STATE_ACTIVE STATE_BACKUP
bond_members
Bond Interface Members x-displayName: "Bond Members" Members of the Bond interface along with the corresponding link state

Members of the Bond interface along with the corresponding link state.

Array<object>
Bond Interface Members

BondMembersType represents the bond interface members along with the corresponding link state.

object
link_speed
Link Speed x-displayName: "Link Speed in Mbps" Link speed of Bond Interface Member in Mbps

Link speed of Bond Interface Member in Mbps.

integer format: int64
link_state
Link State x-displayName: "Link State" Link state of Bond Interface Member

Link state of Bond Interface Member.

boolean format: boolean
name
Name x-displayName: "Name" Name of the Bond Interface Member

Name of the Bond Interface Member.

string
>= 6 characters <= 1024 characters
dhcp_server
DHCP Server

Indicate if DHCP server is configured on the interface.

boolean format: boolean
ip
object
ipv4
object
plen
Prefix Length

Prefix-length of the IPv4 subnet. Must be <= 32.

integer format: int64
prefix
Prefix

Prefix part of the IPv4 subnet in string form with dot-decimal notation.

string
<= 1024 characters
ipv6
object
plen
Prefix length

Prefix length of the IPv6 subnet. Must be <= 128.

integer format: int64
prefix
Prefix

Prefix part of the IPv6 subnet given in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ e.g. “2001:db8:0:0:0:2:0:0” The address can be compacted by suppressing zeros e.g. “2001:db8::2::”

string
<= 1024 characters
ip_mode
string
default: STATIC
Allowed values: STATIC DHCP
ipv6
object
ipv4
object
plen
Prefix Length

Prefix-length of the IPv4 subnet. Must be <= 32.

integer format: int64
prefix
Prefix

Prefix part of the IPv4 subnet in string form with dot-decimal notation.

string
<= 1024 characters
ipv6
object
plen
Prefix length

Prefix length of the IPv6 subnet. Must be <= 128.

integer format: int64
prefix
Prefix

Prefix part of the IPv6 subnet given in form of string. IPv6 address must be specified as hexadecimal numbers separated by ’:’ e.g. “2001:db8:0:0:0:2:0:0” The address can be compacted by suppressing zeros e.g. “2001:db8::2::”

string
<= 1024 characters
link_quality
string
default: QUALITY_UNKNOWN
Allowed values: QUALITY_UNKNOWN QUALITY_GOOD QUALITY_POOR QUALITY_DISABLED
link_state
Link State x-displayName: "Link State" Link State for the interface

Link State for the interface.

boolean format: boolean
link_type
string
default: LINK_TYPE_UNKNOWN
Allowed values: LINK_TYPE_UNKNOWN LINK_TYPE_ETHERNET LINK_TYPE_WIFI_802_11AC LINK_TYPE_WIFI_802_11BGN LINK_TYPE_4G LINK_TYPE_WIFI LINK_TYPE_WAN
mac
Mac Address

MAC Address of interface.

string
<= 1024 characters
name
Name

Name of interface.

string
>= 6 characters <= 1024 characters
network_name
Virtual Network Name

Name of Virtual Network to which the interface belongs.

string
<= 1024 characters
network_type
string
default: VIRTUAL_NETWORK_SITE_LOCAL
Allowed values: VIRTUAL_NETWORK_SITE_LOCAL VIRTUAL_NETWORK_SITE_LOCAL_INSIDE VIRTUAL_NETWORK_PER_SITE VIRTUAL_NETWORK_PUBLIC VIRTUAL_NETWORK_GLOBAL VIRTUAL_NETWORK_SITE_SERVICE VIRTUAL_NETWORK_VER_INTERNAL VIRTUAL_NETWORK_SITE_LOCAL_INSIDE_OUTSIDE VIRTUAL_NETWORK_IP_AUTO VIRTUAL_NETWORK_VOLTADN_PRIVATE_NETWORK VIRTUAL_NETWORK_SRV6_NETWORK VIRTUAL_NETWORK_IP_FABRIC VIRTUAL_NETWORK_SEGMENT VIRTUAL_NETWORK_MANAGEMENT
name
Name

Name of this interface.

string
>= 6 characters <= 1024 characters
private_addresses
Private addresses

Private Address.

Array<object>
Address Info Type

Address with additional information.

object
address
Address

Address

string
<= 1024 characters
dns_name
DNS Name

Address type.

string
<= 1024 characters
primary
Primary

Indicate this address is primary or not.

boolean format: boolean
public_address
Public address

Public address.

Array<object>
Address Info Type

Address with additional information.

object
address
Address

Address

string
<= 1024 characters
dns_name
DNS Name

Address type.

string
<= 1024 characters
primary
Primary

Indicate this address is primary or not.

boolean format: boolean
security_group
Security Groups

Security groups.

Array<string>
status
Status

Status

string
>= 17 characters <= 1024 characters
subnet
Subnets

Reference to the subnets connected.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
platform
Platform

Platform

string
<= 1024 characters
private_address
Private addresse

Private Address.

string
<= 1024 characters
private_dns_name
Private DNS Name

Private DNS Name.

string
<= 1024 characters
public_address
Public address

Public address.

string
<= 1024 characters
public_dns_name
Public DNS Name

Public DNS Name.

string
<= 1024 characters
security_group
Security Groups

Security groups.

Array<string>
metric
Metric

Metric data for the Instance.

Array<object>
Metric Data

Metric Data contains the metric type and the metric data.

object
data
Data

Metric Data.

Array<object>
Metric Type Data

Metric Type Data contains key that uniquely identifies individual entity and its corresponding metric values. For example, if an instance contains multiple interfaces, then the key contains the name/value pair that identifies the interface name of the instance.

object
labels
Labels

Labels contains the name/value pair that uniquely identifies an entity whose metric is being reported. If the Labels is empty, then the metric value is for the corresponding node or edge. For example, if an instance contains multiple interfaces, then the labels contains the name/value pairs that identifies the interface name of the instance.

object
values
Value

List of metric values. May contain more than one value if timeseries data is requested.

Array<object>
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
type
string
default: METRIC_TYPE_IN_BYTES
Allowed values: METRIC_TYPE_IN_BYTES METRIC_TYPE_OUT_BYTES METRIC_TYPE_IN_DROP_PACKETS METRIC_TYPE_OUT_DROP_PACKETS METRIC_TYPE_REACHABILITY_PERCENT METRIC_TYPE_LATENCY_SECONDS METRIC_TYPE_CPU_USAGE_PERCENT METRIC_TYPE_MEMORY_USAGE_PERCENT METRIC_TYPE_DISK_USAGE_PERCENT METRIC_TYPE_DATA_PLANE_CONNECTION_STATUS METRIC_TYPE_CONTROL_PLANE_CONNECTION_STATUS
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
metadata
object
cloud_resource_id
Cloud Resource Id

Cloud Resource Identifier for the node. This is only used for node which represent the cloud resource.

string
<= 1024 characters
description
Description

Description of the node. This field may or may not be populated depending on the node type and if the user provided description while creating the resource.

string
>= 21 characters <= 1024 characters
level
Level

Level indicates the distance of the node from the root node. A value of 0 indicates the root node.

integer format: int64
name
Name

Name of the node.

string
>= 6 characters <= 1024 characters
owner_id
Owner Id

Owner ID

string
<= 1024 characters
provider_type
string
default: PROVIDER_TYPE_UNSPECIFIED
Allowed values: PROVIDER_TYPE_UNSPECIFIED PROVIDER_TYPE_AWS PROVIDER_TYPE_GCP PROVIDER_TYPE_AZURE PROVIDER_TYPE_VOLTERRA PROVIDER_TYPE_VMWARE PROVIDER_TYPE_KVM PROVIDER_TYPE_OCI PROVIDER_TYPE_BAREMETAL PROVIDER_TYPE_F5RSERIES PROVIDER_TYPE_K8S
status
Status

Status in the node.

string
>= 17 characters <= 1024 characters
tags
Tags

List of key/value pairs associated with the node.

object
network
object
info
object
cidr_v4
IPv4 Cidr

IPv4 CIDR

Array<string>
cidr_v6
IPv6 Cidr

IPv6 CIDR

Array<string>
load_balancer
Load Balancer

Load Balancer Present in this Network.

Array<object>
LB

Load Balancer.

object
id
Id

ID of the LB.

string
>= 1 <= 4094 <= 1024 characters
name
Name

Name of the LB.

string
>= 6 characters <= 1024 characters
network_peers
Network peers

Reference to the network peers.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
region
Region

Reference to the regions.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
metric
Metric

Metric data for the Network.

Array<object>
Metric Data

Metric Data contains the metric type and the metric data.

object
data
Data

Metric Data.

Array<object>
Metric Type Data

Metric Type Data contains key that uniquely identifies individual entity and its corresponding metric values. For example, if an instance contains multiple interfaces, then the key contains the name/value pair that identifies the interface name of the instance.

object
labels
Labels

Labels contains the name/value pair that uniquely identifies an entity whose metric is being reported. If the Labels is empty, then the metric value is for the corresponding node or edge. For example, if an instance contains multiple interfaces, then the labels contains the name/value pairs that identifies the interface name of the instance.

object
values
Value

List of metric values. May contain more than one value if timeseries data is requested.

Array<object>
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
type
string
default: METRIC_TYPE_IN_BYTES
Allowed values: METRIC_TYPE_IN_BYTES METRIC_TYPE_OUT_BYTES METRIC_TYPE_IN_DROP_PACKETS METRIC_TYPE_OUT_DROP_PACKETS METRIC_TYPE_REACHABILITY_PERCENT METRIC_TYPE_LATENCY_SECONDS METRIC_TYPE_CPU_USAGE_PERCENT METRIC_TYPE_MEMORY_USAGE_PERCENT METRIC_TYPE_DISK_USAGE_PERCENT METRIC_TYPE_DATA_PLANE_CONNECTION_STATUS METRIC_TYPE_CONTROL_PLANE_CONNECTION_STATUS
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
summary
object
route_tables
Route Tables

List of route tables associated with the network.

Array<object>
RouteTableMetaData

Metadata associated with the route table.

object
cloud_resource_id
Cloud Resource Id

Cloud Resource Identifier this route table.

string
<= 1024 characters
name
Name

Name of the route table.

string
>= 6 characters <= 1024 characters
tags
tags

Map of string keys and values that annotated in the topology node.

object
site
object
info
object
app_type
string
default: SITE_APPTYPE_NONE
Allowed values: SITE_APPTYPE_NONE SITE_APPTYPE_APPSTACK SITE_APPTYPE_MESH
dc_cluster_group
DC Cluster Group

Reference to the DC Cluster group.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
gateway_type
string
default: INGRESS_GATEWAY
Allowed values: INGRESS_GATEWAY INGRESS_EGRESS_GATEWAY
network
Network

Reference to the network.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
orchestration_mode
string
default: NOT_MANAGED
Allowed values: NOT_MANAGED MANAGED
site_type
string
default: INVALID
Allowed values: INVALID REGIONAL_EDGE CUSTOMER_EDGE NGINX_ONE
tgw
TransitGateway

Reference to the transit gateway.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
metric
Metric

Metric data for the Site.

Array<object>
Metric Data

Metric Data contains the metric type and the metric data.

object
data
Data

Metric Data.

Array<object>
Metric Type Data

Metric Type Data contains key that uniquely identifies individual entity and its corresponding metric values. For example, if an instance contains multiple interfaces, then the key contains the name/value pair that identifies the interface name of the instance.

object
labels
Labels

Labels contains the name/value pair that uniquely identifies an entity whose metric is being reported. If the Labels is empty, then the metric value is for the corresponding node or edge. For example, if an instance contains multiple interfaces, then the labels contains the name/value pairs that identifies the interface name of the instance.

object
values
Value

List of metric values. May contain more than one value if timeseries data is requested.

Array<object>
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
type
string
default: METRIC_TYPE_IN_BYTES
Allowed values: METRIC_TYPE_IN_BYTES METRIC_TYPE_OUT_BYTES METRIC_TYPE_IN_DROP_PACKETS METRIC_TYPE_OUT_DROP_PACKETS METRIC_TYPE_REACHABILITY_PERCENT METRIC_TYPE_LATENCY_SECONDS METRIC_TYPE_CPU_USAGE_PERCENT METRIC_TYPE_MEMORY_USAGE_PERCENT METRIC_TYPE_DISK_USAGE_PERCENT METRIC_TYPE_DATA_PLANE_CONNECTION_STATUS METRIC_TYPE_CONTROL_PLANE_CONNECTION_STATUS
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
summary
object
availability_zone
Availability Zone

Availability zone.

Array<string>
node_count
Node Count

Site Node Count.

integer format: int64
node_info
node_info

Provides mapping for node, private IP and public IP.

Array<object>
Node

Node Information for connectivity across sites.

object
name
name

Name of the master/main node on the site.

string
>= 6 characters <= 1024 characters
sli_address
sli_address

Site Local Inside IP address.

string
<= 1024 characters
slo_address
slo_address

Site Local Outside IP address.

string
<= 1024 characters
site_mesh_group
object
info
object
full_mesh
object
control_and_data_plane_mesh
object
data_plane_mesh
object
hub
Hub

If ‘Type’ is Spoke, ‘Hub’ refers to a Site Mesh Group of ‘type’ Hub. Spoke sites connect to all the member sites of Hub Site Mesh Group. Hub will be empty when Site Mesh Group type is Hub or Full Mesh.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
hub_mesh
object
control_and_data_plane_mesh
object
data_plane_mesh
object
site_type
string
default: INVALID
Allowed values: INVALID REGIONAL_EDGE CUSTOMER_EDGE NGINX_ONE
spoke_mesh
object
control_and_data_plane_mesh
object
data_plane_mesh
object
hub_mesh_group
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
topology_site
Topology Site Reference

Topology Sites referenced in this site_mesh_group.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
type
string
default: SITE_MESH_GROUP_TYPE_INVALID
Allowed values: SITE_MESH_GROUP_TYPE_INVALID SITE_MESH_GROUP_TYPE_HUB_FULL_MESH SITE_MESH_GROUP_TYPE_SPOKE SITE_MESH_GROUP_TYPE_FULL_MESH
virtual_site
virtual_site

Virtual Site referenced in this site_mesh_group.

Array<object>
<= 1 items
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
summary
object
edge_status_summary
Edge Summary

Summary of the edges status between the sites in the site mesh group.

Array<object>
EdgeInfoSummary

Summary information for an edge.

object
count
Count

Links count.

integer format: int64
status
string
default: LINK_STATUS_NOT_APPLICABLE
Allowed values: LINK_STATUS_NOT_APPLICABLE LINK_STATUS_UNKNOWN LINK_STATUS_UP LINK_STATUS_DOWN LINK_STATUS_DEGRADED
link_status_summary
Link Status Summary

Summary of the link status between the sites in the site mesh group.

Array<object>
LinkInfoSummary

Summary information for a link type.

object
count
Count

Links count.

integer format: int64
status
string
default: LINK_STATUS_NOT_APPLICABLE
Allowed values: LINK_STATUS_NOT_APPLICABLE LINK_STATUS_UNKNOWN LINK_STATUS_UP LINK_STATUS_DOWN LINK_STATUS_DEGRADED
type
string
default: LINK_TYPE_TUNNEL
Allowed values: LINK_TYPE_TUNNEL LINK_TYPE_NETWORK LINK_TYPE_SUBNET LINK_TYPE_INSTANCE LINK_TYPE_SITE_MESH_GROUP LINK_TYPE_DC_CLUSTER_GROUP LINK_TYPE_L3 LINK_TYPE_CONTROL_PLANE LINK_TYPE_BGP_CONNECTION
other_connected_site_mesh_group_sites
Other Connected Site Mesh Group Sites

If the site mesh group is of type “Hub”, this field indicates the number of sites in all the spoke mesh groups that are connected to this site mesh group. If the site mesh group is of type “Spoke”, this field indicates the number of sites in the hub as well as the sites in other spoke groups that are attached to this hub.

integer format: int64
sites
Sites

This field indicates the number of sites that are part of this site mesh group.

integer format: int64
subnet
object
info
object
availability_zone
Availability Zone

Availability zone.

string
<= 1024 characters
cidr_v4
IPv4 Cidr

IPv4 CIDR

Array<string>
cidr_v6
IPv6 Cidr

IPv6 CIDR

Array<string>
interface_type
string
default: OUTSIDE
Allowed values: OUTSIDE INSIDE WORKLOAD NOT_APPLICABLE
network
Network

Reference to the network.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
region
Region

Reference to the regions. (Used for GCP)

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
metric
Metric

Metric data for the Subnet.

Array<object>
Metric Data

Metric Data contains the metric type and the metric data.

object
data
Data

Metric Data.

Array<object>
Metric Type Data

Metric Type Data contains key that uniquely identifies individual entity and its corresponding metric values. For example, if an instance contains multiple interfaces, then the key contains the name/value pair that identifies the interface name of the instance.

object
labels
Labels

Labels contains the name/value pair that uniquely identifies an entity whose metric is being reported. If the Labels is empty, then the metric value is for the corresponding node or edge. For example, if an instance contains multiple interfaces, then the labels contains the name/value pairs that identifies the interface name of the instance.

object
values
Value

List of metric values. May contain more than one value if timeseries data is requested.

Array<object>
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
type
string
default: METRIC_TYPE_IN_BYTES
Allowed values: METRIC_TYPE_IN_BYTES METRIC_TYPE_OUT_BYTES METRIC_TYPE_IN_DROP_PACKETS METRIC_TYPE_OUT_DROP_PACKETS METRIC_TYPE_REACHABILITY_PERCENT METRIC_TYPE_LATENCY_SECONDS METRIC_TYPE_CPU_USAGE_PERCENT METRIC_TYPE_MEMORY_USAGE_PERCENT METRIC_TYPE_DISK_USAGE_PERCENT METRIC_TYPE_DATA_PLANE_CONNECTION_STATUS METRIC_TYPE_CONTROL_PLANE_CONNECTION_STATUS
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
summary
object
route_tables
Route Tables

List of route tables associated with the subnet.

Array<object>
RouteTableMetaData

Metadata associated with the route table.

object
cloud_resource_id
Cloud Resource Id

Cloud Resource Identifier this route table.

string
<= 1024 characters
name
Name

Name of the route table.

string
>= 6 characters <= 1024 characters
tags
tags

Map of string keys and values that annotated in the topology node.

object
transit_gateway
object
info
object
attachments
Attachments

TGW Attachements.

Array<object>
AWSTGWAttachment

AWS TGW Attachment.

object
associated_route_table_id
Associated Route Table ID

Associated Route Table ID.

string
<= 1024 characters
association_state
Association State

Association State.

string
<= 1024 characters
cidr
CIDR

Configuration parameter for cidr

string
<= 1024 characters
cloud_connect
Cloud Connect

Reference to the Cloud Connect.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
id
ID

TGW Attachment ID.

string
>= 1 <= 4094 <= 1024 characters
name
Name

TGW Attachment Name.

string
>= 6 characters <= 1024 characters
resource_id
Resource ID

Resource ID.

string
<= 1024 characters
resource_name
Resource Name

Resource Name.

string
<= 1024 characters
resource_type
Resource Type

Resource Type.

string
<= 1024 characters
segment
Segment

Reference to the Segment.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
auto_accept_shared_attachments
Auto accept shared attachment

Auto accept shared attachment.

boolean format: boolean
dns_support
DNS support

DNS support.

boolean format: boolean
network
Network

Reference to the network.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
vpn_ecmp_support
vpn ecmp support

VPN ecmp support.

boolean format: boolean
metric
Metric

Metric data for the Transit Gateway.

Array<object>
Metric Data

Metric Data contains the metric type and the metric data.

object
data
Data

Metric Data.

Array<object>
Metric Type Data

Metric Type Data contains key that uniquely identifies individual entity and its corresponding metric values. For example, if an instance contains multiple interfaces, then the key contains the name/value pair that identifies the interface name of the instance.

object
labels
Labels

Labels contains the name/value pair that uniquely identifies an entity whose metric is being reported. If the Labels is empty, then the metric value is for the corresponding node or edge. For example, if an instance contains multiple interfaces, then the labels contains the name/value pairs that identifies the interface name of the instance.

object
values
Value

List of metric values. May contain more than one value if timeseries data is requested.

Array<object>
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
type
string
default: METRIC_TYPE_IN_BYTES
Allowed values: METRIC_TYPE_IN_BYTES METRIC_TYPE_OUT_BYTES METRIC_TYPE_IN_DROP_PACKETS METRIC_TYPE_OUT_DROP_PACKETS METRIC_TYPE_REACHABILITY_PERCENT METRIC_TYPE_LATENCY_SECONDS METRIC_TYPE_CPU_USAGE_PERCENT METRIC_TYPE_MEMORY_USAGE_PERCENT METRIC_TYPE_DISK_USAGE_PERCENT METRIC_TYPE_DATA_PLANE_CONNECTION_STATUS METRIC_TYPE_CONTROL_PLANE_CONNECTION_STATUS
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
step
step

Actual step size used in the response. It could be higher than the requested step due to metric rollups and the query duration. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days.

string
<= 1024 characters
Example
{
"edges": [
{
"links": [
{
"info": {
"status": "LINK_STATUS_NOT_APPLICABLE",
"type": "LINK_TYPE_TUNNEL"
},
"metric": [
{
"data": [
{
"values": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
],
"type": "METRIC_TYPE_IN_BYTES",
"unit": "UNIT_MILLISECONDS"
}
]
}
],
"status": "LINK_STATUS_NOT_APPLICABLE"
}
],
"nodes": [
{
"instance": {
"info": {
"interfaces": [
{
"f5xc_status": {
"active_state": "STATE_UNKNOWN",
"ip_mode": "STATIC",
"link_quality": "QUALITY_UNKNOWN",
"link_type": "LINK_TYPE_UNKNOWN",
"network_type": "VIRTUAL_NETWORK_SITE_LOCAL"
}
}
]
},
"metric": [
{
"data": [
{
"values": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
],
"type": "METRIC_TYPE_IN_BYTES",
"unit": "UNIT_MILLISECONDS"
}
]
},
"metadata": {
"provider_type": "PROVIDER_TYPE_UNSPECIFIED"
},
"network": {
"metric": [
{
"data": [
{
"values": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
],
"type": "METRIC_TYPE_IN_BYTES",
"unit": "UNIT_MILLISECONDS"
}
]
},
"site": {
"info": {
"app_type": "SITE_APPTYPE_NONE",
"gateway_type": "INGRESS_GATEWAY",
"orchestration_mode": "NOT_MANAGED",
"site_type": "INVALID"
},
"metric": [
{
"data": [
{
"values": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
],
"type": "METRIC_TYPE_IN_BYTES",
"unit": "UNIT_MILLISECONDS"
}
]
},
"site_mesh_group": {
"info": {
"site_type": "INVALID",
"type": "SITE_MESH_GROUP_TYPE_INVALID"
},
"summary": {
"edge_status_summary": [
{
"status": "LINK_STATUS_NOT_APPLICABLE"
}
],
"link_status_summary": [
{
"status": "LINK_STATUS_NOT_APPLICABLE",
"type": "LINK_TYPE_TUNNEL"
}
]
}
},
"subnet": {
"info": {
"interface_type": "OUTSIDE"
},
"metric": [
{
"data": [
{
"values": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
],
"type": "METRIC_TYPE_IN_BYTES",
"unit": "UNIT_MILLISECONDS"
}
]
},
"transit_gateway": {
"metric": [
{
"data": [
{
"values": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
],
"type": "METRIC_TYPE_IN_BYTES",
"unit": "UNIT_MILLISECONDS"
}
]
}
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example